### Enumeration

# Qmi FoxFirmwareVersionType

since: 1.32

#### Declaration

    enum Qmi.FoxFirmwareVersionType

#### Description [src]

Foxconn specific firmware version types.

Available since: 1.32

#### Members

`QMI_FOX_FIRMWARE_VERSION_TYPE_FIRMWARE_MCFG`

  E.g. T99W265.F0.0.0.0.1.GC.004.

  - Value: `0`
  - Available since: 1.32
`QMI_FOX_FIRMWARE_VERSION_TYPE_FIRMWARE_MCFG_APPS`

  E.g. T99W265.F0.0.0.0.1.GC.004.001.

  - Value: `1`
  - Available since: 1.32
`QMI_FOX_FIRMWARE_VERSION_TYPE_APPS`

  E.g. 001.

  - Value: `2`
  - Available since: 1.32

#### Type functions

###### qmi_fox_firmware_version_type_get_string

Gets the nickname string for the `QmiFoxFirmwareVersionType` specified at `val`.

since: 1.32